Write raw DATEV ASCII file
curl --request POST \
--url https://api.kombo.dev/v1/custom/datev/passthrough \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"file_content": "<string>",
"accounting_month": "2023-11-07T05:31:56Z",
"file_name": "Stammdaten.txt"
}
'import requests
url = "https://api.kombo.dev/v1/custom/datev/passthrough"
payload = {
"file_content": "<string>",
"accounting_month": "2023-11-07T05:31:56Z",
"file_name": "Stammdaten.txt"
}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_content: '<string>',
accounting_month: '2023-11-07T05:31:56Z',
file_name: 'Stammdaten.txt'
})
};
fetch('https://api.kombo.dev/v1/custom/datev/passthrough', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {},
"warnings": [
{
"message": "This is an example warning!"
}
]
}DATEV Payroll
Write raw DATEV ASCII file
This action allows to send an arbitrary ASCII file directly to DATEV LODAS or Lohn und Gehalt. Kombo adds validation for the file format but not on the content. This action allows you to implement any use case that you might have with DATEV payroll ASCII imports.
POST
/
custom
/
datev
/
passthrough
Write raw DATEV ASCII file
Authorizations
Headers
ID of the integration you want to interact with.
Body
application/json
POST /custom/datev/passthrough Request body
Minimum string length:
1YYYY-MM-DDTHH:mm:ss.sssZ
Pattern:
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?)?Z?$Available options:
LODAS, LuG Available options:
STAMMDATEN, BEWEGUNGSDATEN Example:
"Stammdaten.txt"
Response
POST /custom/datev/passthrough Positive response
Was this page helpful?